CPU_NUMBER(9)

NAME
cpu_number - unique CPU identification number

SYNOPSIS
#include <sys/types.h>
#include <machine/cpu.h>
cpuid_t
cpu_number(void);

DESCRIPTION
The cpu_number() function returns an unique CPU identification number for the CPU that this thread is running on. It may also be implemented as a macro.

SEE ALSO
curcpu(9)